class SetupAuthenticatedApp < ActiveRecord::Migration[<%= ActiveRecord::VERSION::STRING.to_f %>]
  def up
    unless column_exists?(:users, :primary_secret)
      add_column :users, :primary_secret, :string
    end

    unless column_exists?(:users, :recovery_secret)
      add_column :users, :recovery_secret, :string
    end

    unless column_exists?(:users, :recovery_email)
      add_column :users, :recovery_email, :string
    end

    unless column_exists?(:users, :recovery_token)
      add_column :users, :recovery_token, :string
    end

    unless column_exists?(:users, :recovery_token_expires_at)
      add_column :users, :recovery_token_expires_at, :datetime
    end
  end

  def down
    remove_column :users, :primary_secret, :string

    remove_column :users, :recovery_secret, :string

    remove_column :users, :recovery_email, :string

    remove_column :users, :recovery_token, :string

    remove_column :users, :recovery_token_expires_at
  end
end
